Bug Hunting Session
Bug 64823 - Saving a subscript character
Summary: Saving a subscript character
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
3.6.6.2 release
Hardware: Other Windows (All)
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:doc
Depends on:
Blocks: DOC-Character
  Show dependency treegraph
 
Reported: 2013-05-21 11:55 UTC by andy.dabsmith
Modified: 2019-10-01 19:25 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
example text in .doc file (10.50 KB, application/msword)
2013-05-21 11:55 UTC, andy.dabsmith
Details

Note You need to log in before you can comment on or make changes to this bug.
Description andy.dabsmith 2013-05-21 11:55:50 UTC
Created attachment 79613 [details]
example text in .doc file

Format a subscript character at 50% works fine, then saving as MS Word .doc file also gives no perceived problem. However, when re-opening the previously closed file, the subscript size has changed to 100%, and the line spacing is thrown out. Used to work OK on previous versions. My University only accepts MS Word format.
Comment 1 tommy27 2013-09-11 19:59:01 UTC
please attach the original .odt file so we can reproduce the bug saving it as .doc and see exactly what change.

by the way, do you still see this bug with recent 4.x releases
Comment 2 A (Andy) 2013-12-29 11:26:04 UTC
Sorry that you had to wait such a long time for a reply.

Buggy behavior was reproducible with LO 4.1.4.2 (Win8). The subscripts are changed but not back to 100% as reported.

Steps done:
1. Open the attached file
2. Select the subscript "2"
3. Go to FORMAT -> CHARACTER and to the tab POSITION
4. Check that the RELATIVE FONT SIZE is 100% and RAISE/LOWER BY shows 95%
5. Now change RAISE/LOWER BY to 50%
6. Save this file as doc file and close WRITER
7. Open the changed doc file
8. Go to FORMAT -> CHARACTER and to the tab POSITION
9. Check that the RELATIVE FONT SIZE is 100% and RAISE/LOWER BY shows now 45% instead of 50%

The same happens with docx files. If you change it to any other percentage above 10% it always changes to 5% less. Below 10% the subscript gets lost and it is changes to POSITION = NORMAL, RAISE/LOWER BY = 1% and AUTOMATIC is activated.

Could you please retry it with the latest release of LO, whether you can see the same behavior.
Comment 3 QA Administrators 2015-04-19 03:20:25 UTC Comment hidden (obsolete)
Comment 4 Buovjaga 2015-06-15 11:56:19 UTC
(In reply to A (Andy) from comment #2)
> 9. Check that the RELATIVE FONT SIZE is 100% and RAISE/LOWER BY shows now
> 45% instead of 50%

Repro from scratch.

Win 7 Pro 64-bit Version: 5.1.0.0.alpha1+
Build ID: 01a189abcd9a4ca472a74b3b2c000c9338fc2c91
TinderBox: Win-x86@39, Branch:master, Time: 2015-06-14_07:46:28
Locale: fi-FI (fi_FI)
Comment 5 QA Administrators 2016-09-20 10:00:58 UTC Comment hidden (obsolete, spam)
Comment 6 Justin L 2019-10-01 19:25:17 UTC
LO and MSWord implement superscript very differently. With only 5% difference being reported, that seems close enough in emulation to me. Marking this as wontfix.

Granted, there definitely are problems in the algorithm I'm sure - but other bug reports deal with that. This example file doesn't demonstrate a sufficient bug.